From 5e1c8fb716d79119f63946707807d4ed398d8512 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jul 26 2016 13:00:14 +0000
Subject: [PATCH 573/1001] Small fix to ensure the number of meetings provided is a integer


---

diff --git a/hubs/widgets/meetings.py b/hubs/widgets/meetings.py
index 071496a..8c05744 100755
--- a/hubs/widgets/meetings.py
+++ b/hubs/widgets/meetings.py
@@ -69,6 +69,7 @@ position = 'both'
           validator=validators.integer,
           help="The number of meetings to display.")
 def data(session, widget, calendar, n_meetings=4):
+    n_meetings = int(n_meetings)
     base = 'https://apps.fedoraproject.org/calendar/api/meetings/?calendar=%s'
     url = base % calendar
     response = requests.get(url).json()

